package com.oo.seex.oo_statistics_lib.bean;


import com.oo.seex.oo_statistics_lib.utils.xutils_dbutils.db.annotation.Id;

/**
 * Created by efort on 15/7/31.
 */
public class PostClientBean {
    /**
     * 用户私人信息
     */
    @Id
    private int id;
    /**
     * appkey
     * secrect_key
     * time
     * appversion 	1.2.1 	app的版本号
     * platform 	android 	平台
     * os 	Flyme 	操作系统
     * os_version 	2.3.1 	操作系统版本
     * language 	ch_zh 	手机语言
     * javasupport 	1/0 	是否支持java
     * flashversion 	13.2.1 	flash版本
     * wifimac 	02:00:00:00 	wifi的mac地址
     * network 	wifi/3g/EVDO 	联网方式
     * laititude 	23.23 	东经
     * longtitude 	23.23 	东经
     * clientip 	198.23.22.1 	ip地址
     * service_supplier 	china unicom 	运营商
     * country 	中国 	国家
     * provence 	安徽 	省份
     * city 	合肥 	城市
     * isjailbroken 	1/0 	是否越狱
     * device_id   设备号
     * userId      用户Id
     * resolution
     * devicename
     * imei
     * idfa
     * havebt
     * havegps
     * havegravity
     * channel
     */
    private String appkey;
    private String device_id;
    private String userId;
    private String udid;
    private String time;
    private String appversion;
    private String platform = "android";
    private String os;
    private String os_version;
    private String language = "zh";
    private String javasupport = "1";
    private String wifimac;
    private String network;
    private String laititude;
    private String longtitude;
    private String clientip;
    private String service_supplier;
    private String provence;
    private String city;
    private String country;
    private String address;
    private String isjailbroken = "0";

    private String resolution;
    private String devicename;
    private String imei;
    private String idfa;
    private String havebt;
    private String havegps;
    private String havegravity;
    private long clientData;

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getHavegravity() {
        return havegravity;
    }

    public void setHavegravity(String havegravity) {
        this.havegravity = havegravity;
    }

    public String getHavegps() {
        return havegps;
    }

    public void setHavegps(String havegps) {
        this.havegps = havegps;
    }

    public String getHavebt() {
        return havebt;
    }

    public void setHavebt(String havebt) {
        this.havebt = havebt;
    }

    public String getIdfa() {
        return idfa;
    }

    public void setIdfa(String idfa) {
        this.idfa = idfa;
    }

    public String getImei() {
        return imei;
    }

    public void setImei(String imei) {
        this.imei = imei;
    }

    public String getDevicename() {
        return devicename;
    }

    public void setDevicename(String devicename) {
        this.devicename = devicename;
    }

    public String getResolution() {
        return resolution;
    }

    public void setResolution(String resolution) {
        this.resolution = resolution;
    }

    private String channel;

    @Override
    public String toString() {
        return "PostClientBean{" +
                "longtitude='" + longtitude + '\'' +
                ", laititude='" + laititude + '\'' +
                ", device_id='" + device_id + '\'' +
                ", userId='" + userId + '\'' +
                ", clientip='" + clientip + '\'' +
                ", os_version='" + os_version + '\'' +
                ", os='" + os + '\'' +
                ", appversion='" + appversion + '\'' +
                '}';
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getAppkey() {
        return appkey;
    }

    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getAppversion() {
        return appversion;
    }

    public void setAppversion(String appversion) {
        this.appversion = appversion;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getOs() {
        return os;
    }

    public void setOs(String os) {
        this.os = os;
    }

    public String getOs_version() {
        return os_version;
    }

    public void setOs_version(String os_version) {
        this.os_version = os_version;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }

    public String getJavasupport() {
        return javasupport;
    }

    public void setJavasupport(String javasupport) {
        this.javasupport = javasupport;
    }

    public String getWifimac() {
        return wifimac;
    }

    public void setWifimac(String wifimac) {
        this.wifimac = wifimac;
    }

    public String getNetwork() {
        return network;
    }

    public void setNetwork(String network) {
        this.network = network;
    }

    public String getLaititude() {
        return laititude;
    }

    public void setLaititude(String laititude) {
        this.laititude = laititude;
    }

    public String getLongtitude() {
        return longtitude;
    }

    public void setLongtitude(String longtitude) {
        this.longtitude = longtitude;
    }

    public String getClientip() {
        return clientip;
    }

    public void setClientip(String clientip) {
        this.clientip = clientip;
    }

    public String getService_supplier() {
        return service_supplier;
    }

    public void setService_supplier(String service_supplier) {
        this.service_supplier = service_supplier;
    }

    public String getProvence() {
        return provence;
    }

    public void setProvence(String provence) {
        this.provence = provence;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getIsjailbroken() {
        return isjailbroken;
    }

    public void setIsjailbroken(String isjailbroken) {
        this.isjailbroken = isjailbroken;
    }

    public String getDevice_id() {
        return device_id;
    }

    public void setDevice_id(String device_id) {
        this.device_id = device_id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUdid() {
        return udid;
    }

    public void setUdid(String udid) {
        this.udid = udid;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public void setClientData(long clientData) {
        this.clientData = clientData;
    }

    public long getClientData() {
        return clientData;
    }
}
